Subject: Re: [dispatch] TCP and SCTP connection reuse draft

From: "DOLLY, MARTIN C, ATTLABS" <[email-masked]>
Date: Wed, 30 Sep 2009 22:00:42 -0400

Cullen,

Could you please be more specific because my first reaction was to say your assumption on trust domains is not accurate

Thanks

Martin

----- Original Message -----
From: [email-masked] <[email-masked]>
To: Vijay K. Gurbani <[email-masked]>
Cc: [email-masked] <[email-masked]>; Jain,Rajnish <[email-masked]>; Hadriel Kaplan <[email-masked]>
Sent: Wed Sep 30 19:17:37 2009
Subject: Re: [dispatch] TCP and SCTP connection reuse draft

The security of this draft seems, uh, bad. It's so bad that I am  
having a really hard time believing I actually am understanding it  
correctly. Help me make sure that I have this right.

Cisco and ACME are part of the AT&T trust domain and get sip trunking  
from AT&T. Cisco sends a via that has ACME on the alias to AT&T. There  
is nothing AT&T can do to validate this. Now Cisco has hijacked all of  
ACME's call. If the trust domain consisted of just one party, well I  
see how this might be secure, sort of, but it seems to fall apart as  
the trust domain expands.

Cullen <with my individual contributor hat on>

On Sep 9, 2009, at 9:09 , Vijay K. Gurbani wrote:

> Folks: Before the summer, we had released a new
> TCP/SCTP connection reuse draft in the (now defunct) SIP
> WG.  With the formation of dispatch, we were advised to
> submit it to dispatch for a decision on where to handle
> this work.
>
> Essentially, the draft documents the practice of reusing TCP
> (and SCTP) connections that is employed by some SIP
> implementations today.  TCP and SCTP transport reuse were
> originally a part of the draft-ietf-sip-connect-reuse draft,
> but were taken out before we progressed that draft to the IESG.
>
> Can we kindly ask the dispatch WG to review and comment on
> the the TCP and SCTP connection reuse draft?  All comments
> received from the first iteration of the draft in the SIP WG
> have been duly addressed in this version.
>
> It will also be helpful if the WG and chairs could provide
> some guidance on how to move this work forward (i.e.,
> AD-sponsored individual draft, take it to sipcore, etc.)
>
> The draft can be retrieved from:
>
> http://tools.ietf.org/html/draft-jain-dispatch-sip-transport-connection-reuse-00
>
> Thank you,
>
> - vijay
> -- 
> Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
> 1960 Lucent Lane, Rm. 9C-533, Naperville, Illinois 60566 (USA)
> Email: vkg@{alcatel-lucent.com,bell-labs.com,acm.org}
> Web:   http://ect.bell-labs.com/who/vkg/
> _______________________________________________
> dispatch mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dispatch

_______________________________________________
dispatch mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dispatch